XARCHIVER(1)

NAME
xarchiver - GTK+ front end for managing archives

SYNOPSIS
xarchiver [OPTION] [archive]

DESCRIPTION
Xarchiver is a lightweight desktop environment independent GTK+ front end for handling 7z, a (libraries), arj, bzip2, compress, cpio, exe (self-extracting Windows archives), gzip, jsonlz4, lha, lrzip, lz4, lzip, lzma, lzop, mozlz4, rar, tar, xz, zip, zstd, tar.bz2, tar.gz, tar.lrz, tar.lz, tar.lz4, tar.lzma, tar.lzop, tar.xz, tar.Z, tar.zst and (without their package managers) deb and rpm files.
It detects the file types by their magic header, not by their extension, and utilizes various (un)compressor/(un)archiver command line programs at runtime. It allows you to list, test and create archives and to add, extract and delete files from them. Password protected archives are supported and will be recognized.

OPTIONS

-a, --add
    add to archive by asking which files and quit

-c, --compress=file1 ... fileN
    add the given files by asking the name of the archive and quit

-d, --ensure-directory
    extract archive to a containing directory and quit

-e, --extract
    extract archive by asking the extraction directory and quit

-m, --multi-extract
    extract multiple archives by asking the extraction directory and quit

-x, --extract-to=destination
    extract archive to the destination directory and quit

-i, --info
    show found command line programs to be used and exit

-v, --version
    show version and exit

--display=DISPLAY
    X display to use

-?, -h, --help
    show help options

--help-gtk
    show GTK+ options

--help-all
    show all help options

AUTHOR
Written by Giuseppe Torelli and Ingo Brückl.

REPORTING BUGS
<https://github.com/ib/xarchiver/issues>